#include "extdll.h"
#include "util.h"

#include "cbase.h"
#include "nodes.h"
#include "weapons.h"
#include "soundent.h"
#include "monsters.h"
#include "decals.h"
#include "gamerules.h"
#include "effects.h"
#include "aura.h"
#include "classes.h"
#include "magicattack.h"
#include "explodingattack.h"
#include "player.h"

const char *class_names[]=
{	"base",
	"buu",
	"goku",
	"gohan",
	"krillin",
	"frieza",
	"piccolo",
	"trunks",
	"vegeta",
	"cell",
	"ginyu",
	"a18"
};

CBaseClass::CBaseClass ( CBasePlayer *player )
{	m_pPlayer = player;
}

const char *CBaseClass::GetName( int id )
{	if (id >= 0 && id < PC_LAST)
		return class_names[id];
	else 
		return NULL;
}

void CBaseClass::SetModel()
{	char name[255];
	strcpy (name, GetModelName());
	g_engfuncs.pfnSetClientKeyValue( m_pPlayer->entindex(), g_engfuncs.pfnGetInfoKeyBuffer( m_pPlayer->edict() ), "model", name );
	// Added by Pcjoe
	UTIL_SetPlayerModel(m_pPlayer, name);
}